## Data Sets

## Usage

    data(..., list = character(0), package = c(.packages(),.Autoloaded),
         lib.loc = .lib.loc)
    show.data(package = c(.packages(),.Autoloaded), lib.loc = .lib.loc)

## Arguments

`...` | a sequence of `name`s or character strings
`list` | a character vector
`package` | a name or character vector giving the packages to look into for data sets. By default, all packages in the search path are used.
`lib.loc` | a character vector of directory names of R libraries. Defaults to all libraries currently known.

## Description

`data` loads or lists via `show.data` the available data sets. The data sets to be loaded can be specified as a sequence of `name`s or character strings, or as the character vector `list`, or as both.

If no data sets are specified or `show.data` is called directly, the available data sets are displayed.

Currently, four formats of data files are supported:

1. files ending `".RData"` or `".rda"` are `load()ed`.
2. files ending `".R"` or `".r"` are `source()d` in.
3. files ending `".tab"` or `".txt"` are read using `read.table(..., header = TRUE)`, and hence result in a `data.frame`.
4. files ending `".csv"` are read using `read.table(..., header = TRUE, sep=";")`, and also result in a `data.frame`.

## Details

If no data sets are specified, `data` calls `show.data`. `show.data` looks for a file `00Index' (failing that the deprecated convention of `index.doc') in a `data' directory of each specified package, and uses these files to prepare a listing. If there is a `data' area but no index a warning is given: such packages are incomplete.

## Value

A character vector of all data sets specified, an empty character vector if none were specified.

## See Also

`help` for obtaining documentation on data sets.

## Examples

    data()                       # list all available data sets
    data(package = base)         # list the data sets in the base package
    data(crimes, "deaths")       # load the data sets `crimes' and `deaths'
    help(crimes)                 # give information on data set `crimes'

[Package Contents]